#pragma once

#include "Pump.hpp"

namespace vera
{
class EmulatedPump : public Pump
{
public:
  void dropSample(Interactor& interactor) override;
  void loadUp(Interactor& interactor) override;
  void dump(Interactor& interactor) override;
public:
private:
};
}  // namespace vera
